Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class ModificationEntry

    java.lang.Object
      org.jboss.cache.aop.ModificationEntry

    public class ModificationEntry

extends java.lang.Object

Modification entry for undo compensation. This is kind of ad hoc now. We need to come up with an more formal undo operations to handle other cases like object graph.

Author:
  Ben Wang

Field Summary
`static int` | `COLLECTION_REPLACE`
`static int` | `INTERCEPTOR_ADD`
`static int` | `INTERCEPTOR_REMOVE`

Constructor Summary
`ModificationEntry(java.lang.reflect.Field field, java.lang.Object key, java.lang.Object oldValue)`
`ModificationEntry(org.jboss.aop.InstanceAdvisor advisor, BaseInterceptor interceptor, int op)`

Method Summary
`BaseInterceptor` | `getCacheInterceptor()`
`java.lang.reflect.Field` | `getField()`
`org.jboss.aop.InstanceAdvisor` | `getInstanceAdvisor()`
`java.lang.Object` | `getKey()`
`java.lang.Object` | `getOldValue()`
`int` | `getOpType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERCEPTOR_ADD

    public static final int INTERCEPTOR_ADD

See Also:
  Constant Field Values

### INTERCEPTOR_REMOVE

    public static final int INTERCEPTOR_REMOVE

See Also:
  Constant Field Values

### COLLECTION_REPLACE

    public static final int COLLECTION_REPLACE

See Also:
  Constant Field Values

Constructor Detail

### ModificationEntry

    public ModificationEntry(org.jboss.aop.InstanceAdvisor advisor,
                             BaseInterceptor interceptor,
                             int op)

### ModificationEntry

    public ModificationEntry(java.lang.reflect.Field field,
                             java.lang.Object key,
                             java.lang.Object oldValue)

Method Detail

### getOpType

    public int getOpType()

### getInstanceAdvisor

    public org.jboss.aop.InstanceAdvisor getInstanceAdvisor()

### getCacheInterceptor

    public BaseInterceptor getCacheInterceptor()

### getField

    public java.lang.reflect.Field getField()

### getKey

    public java.lang.Object getKey()

### getOldValue

    public java.lang.Object getOldValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.